# -*- coding: utf-8 -*-
from sqlalchemy import *
from migrate import *
import migrate.changeset

def getWorkshiftTable(meta):
    return Table('workshift', meta, autoload=True)

def upgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    # Upgrade operations go here. Don't create your own engine; use the engine
    # named 'migrate_engine' imported from migrate.
    col1 = Column('shifttype', Integer, nullable=True)
    col1.create(getWorkshiftTable(meta))
    col2 = Column('dateincrement', Integer, nullable=True)
    col2.create(getWorkshiftTable(meta))

def downgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    # Operations to reverse the above upgrade go here.
    getWorkshiftTable(meta).c.shifttype.drop()
    getWorkshiftTable(meta).c.dateincrement.drop()
