from sqlalchemy import *
from migrate import *
import migrate.changeset

def getBonusitemTable(meta):
    return Table('bonusitem', meta, autoload=True)

def upgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    # Upgrade operations go here. Don't create your own engine; use the engine
    # named 'migrate_engine' imported from migrate.
    col = Column('scode', String(30), nullable=True)
    col.create(getBonusitemTable(meta))

def downgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    # Operations to reverse the above upgrade go here.
    getBonusitemTable(meta).c.scode.drop()
