from sqlalchemy import *
from migrate import *
import migrate.changeset

def getCrightsTable(meta):
    return Table('crights', meta, autoload=True)

def upgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    # Upgrade operations go here. Don't create your own engine; use the engine
    # named 'migrate_engine' imported from migrate.    
    col = Column('commandname', String(200), nullable=True)
    col.create(getCrightsTable(meta))

def downgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    # Operations to reverse the above upgrade go here.
    getCrightsTable(meta).c.commandname.drop()
