from sqlalchemy import *
from migrate import *
from dictionaries.versions import views_helper

def upgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    for tbl in views_helper.getTables(meta,'cardgroup'):
        tbl.c.discountvalue.alter(type=Numeric(5, 2))
    views_helper.update_dic_view(migrate_engine, 'cardgroup')
    
def downgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    for tbl in views_helper.getTables(meta,'cardgroup'):
        tbl.c.discountvalue.alter(type=Integer)
    views_helper.update_dic_view(migrate_engine, 'cardgroup')