from sqlalchemy import Integer, String
from dictionaries.versions import views_helper

tableName = 'medicine'
data = (('rating', Integer), ('bonusonsale', Integer), ('row', String(255)), ('shelf', String(255)))

def upgrade(migrate_engine):
    for item in data:
        views_helper.create_column(migrate_engine, tableName, *item)

def downgrade(migrate_engine):
    for item in data:
        views_helper.drop_column(migrate_engine, tableName, *item)
